PLplot: plplot.core.plplotjavac Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Static Public Member Functions | List of all members
plplot.core.plplotjavac Class Reference
Inheritance diagram for plplot.core.plplotjavac:

## Static Public Member Functions
static void | pl_setcontlabelformat (int lexp, int sigdig)
static void | pl_setcontlabelparam (double offset, double size, double spacing, int active)
static void | pladv (int page)
static void | plarc (double x, double y, double a, double b, double angle1, double angle2, double rotate, boolean fill)
static void | plaxes (double x0, double y0, String xopt, double xtick, int nxsub, String yopt, double ytick, int nysub)
static void | plbin (double[] n, double[] ArrayCk, int center)
static void | plbtime (int[] arg0, int[] arg1, int[] arg2, int[] arg3, int[] arg4, double[] arg5, double ctime)
static void | plbop ()
static void | plbox (String xopt, double xtick, int nxsub, String yopt, double ytick, int nysub)
static void | plbox3 (String xopt, String xlabel, double xtick, int nsubx, String yopt, String ylabel, double ytick, int nsuby, String zopt, String zlabel, double ztick, int nsubz)
static void | plcalc_world (double rx, double ry, double[] arg2, double[] arg3, int[] arg4)
static void | plclear ()
static void | plcol0 (int icol0)
static void | plcol1 (double col1)
static void | plconfigtime (double scale, double offset1, double offset2, int ccontrol, boolean ifbtime_offset, int year, int month, int day, int hour, int min, double sec)
static void | plcont (double[][] Matrix, int kx, int lx, int ky, int ly, double[] Array, double[][] pltr, double[][] OBJECT_DATA)
static void | plctime (int year, int month, int day, int hour, int min, double sec, double[] OUTPUT)
static void | plcpstrm (int iplsr, boolean flags)
static void | plend ()
static void | plend1 ()
static void | plenv (double xmin, double xmax, double ymin, double ymax, int just, int axis)
static void | plenv0 (double xmin, double xmax, double ymin, double ymax, int just, int axis)
static void | pleop ()
static void | plerrx (double[] n, double[] arg1, double[] arg2)
static void | plerry (double[] n, double[] arg1, double[] arg2)
static void | plfamadv ()
static void | plfill (double[] n, double[] ArrayCk)
static void | plfill3 (double[] n, double[] arg1, double[] arg2)
static void | plgradient (double[] n, double[] ArrayCk, double angle)
static void | plflush ()
static void | plfont (int ifont)
static void | plfontld (int fnt)
static void | plgchr (double[] arg0, double[] arg1)
static void | plgcol0 (int icol0, int[] arg1, int[] arg2, int[] arg3)
static void | plgcol0a (int icol0, int[] arg1, int[] arg2, int[] arg3, double[] arg4)
static void | plgcolbg (int[] arg0, int[] arg1, int[] arg2)
static void | plgcolbga (int[] arg0, int[] arg1, int[] arg2, double[] arg3)
static void | plgcompression (int[] OUTPUT)
static void | plgdev (StringBuffer OUTPUT)
static void | plgdidev (double[] arg0, double[] arg1, double[] arg2, double[] arg3)
static void | plgdiori (double[] OUTPUT)
static void | plgdiplt (double[] arg0, double[] arg1, double[] arg2, double[] arg3)
static void | plgfam (int[] arg0, int[] arg1, int[] arg2)
static void | plgfci (long[] OUTPUT)
static void | plgfnam (StringBuffer OUTPUT)
static void | plgfont (int[] arg0, int[] arg1, int[] arg2)
static void | plglevel (int[] OUTPUT)
static void | plgpage (double[] arg0, double[] arg1, int[] arg2, int[] arg3, int[] arg4, int[] arg5)
static void | plgra ()
static void | plgriddata (double[] Array, double[] arg1, double[] arg2, double[] ArrayX, double[] ArrayY, double[][] OutMatrixCk, int type, double data)
static void | plgspa (double[] arg0, double[] arg1, double[] arg2, double[] arg3)
static void | plgstrm (int[] OUTPUT)
static void | plgver (StringBuffer OUTPUT)
static void | plgvpd (double[] arg0, double[] arg1, double[] arg2, double[] arg3)
static void | plgvpw (double[] arg0, double[] arg1, double[] arg2, double[] arg3)
static void | plgxax (int[] arg0, int[] arg1)
static void | plgyax (int[] arg0, int[] arg1)
static void | plgzax (int[] arg0, int[] arg1)
static void | plhist (double[] n, double datmin, double datmax, int nbin, int oldwin)
static void | plhlsrgb (double h, double l, double s, double[] arg3, double[] arg4, double[] arg5)
static void | plinit ()
static void | pljoin (double x1, double y1, double x2, double y2)
static void | pllab (String xlabel, String ylabel, String tlabel)
static void | pllegend (double[] arg0, double[] arg1, int opt, int position, double x, double y, double plot_width, int bg_color, int bb_color, int bb_style, int nrow, int ncolumn, int[] n, double text_offset, double text_scale, double text_spacing, double text_justification, int[] arg17, String[] arg18, int[] arg19, int[] arg20, double[] arg21, double[] arg22, int[] arg23, int[] arg24, double[] arg25, int[] arg26, double[] arg27, int[] arg28, String[] arg29)
static void | plcolorbar (double[] arg0, double[] arg1, int opt, int position, double x, double y, double x_length, double y_length, int bg_color, int bb_color, int bb_style, double low_cap_color, double high_cap_color, int cont_color, double cont_width, int[] arg15, String[] arg16, String[] arg17, double[] arg18, int[] arg19, int[] ArrayN, double[][] MatrixCk)
static void | pllightsource (double x, double y, double z)
static void | plline (double[] n, double[] ArrayCk)
static void | plline3 (double[] n, double[] arg1, double[] arg2)
static void | pllsty (int lin)
static void | plmesh (double[] ArrayX, double[] ArrayY, double[][] MatrixCk, int opt)
static void | plmeshc (double[] ArrayX, double[] ArrayY, double[][] MatrixCk, int opt, double[] Array)
static void | plmkstrm (int[] OUTPUT)
static void | plmtex (String side, double disp, double pos, double just, String text)
static void | plmtex3 (String side, double disp, double pos, double just, String text)
static void | plot3d (double[] ArrayX, double[] ArrayY, double[][] MatrixCk, int opt, boolean side)
static void | plot3dc (double[] ArrayX, double[] ArrayY, double[][] MatrixCk, int opt, double[] Array)
static void | plot3dcl (double[] ArrayX, double[] ArrayY, double[][] MatrixCk, int opt, double[] arg4, int ixstart, int[] arg6, int[] ArrayCk)
static void | plsurf3d (double[] ArrayX, double[] ArrayY, double[][] MatrixCk, int opt, double[] Array)
static void | plsurf3dl (double[] ArrayX, double[] ArrayY, double[][] MatrixCk, int opt, double[] arg4, int ixstart, int[] arg6, int[] ArrayCk)
static int | plparseopts (String[] p_argc, int mode)
static void | plpat (int[] n, int[] ArrayCk)
static void | plpath (int n, double x1, double y1, double x2, double y2)
static void | plpoin (double[] n, double[] ArrayCk, int code)
static void | plpoin3 (double[] n, double[] arg1, double[] arg2, int code)
static void | plpoly3 (double[] n, double[] arg1, double[] arg2, boolean[] ArrayCkMinus1, boolean flag)
static void | plprec (int setp, int prec)
static void | plpsty (int patt)
static void | plptex (double x, double y, double dx, double dy, double just, String text)
static void | plptex3 (double x, double y, double z, double dx, double dy, double dz, double sx, double sy, double sz, double just, String text)
static double | plrandd ()
static void | plreplot ()
static void | plrgbhls (double r, double g, double b, double[] arg3, double[] arg4, double[] arg5)
static void | plschr (double def, double scale)
static void | plscmap0 (int[] Array, int[] arg1, int[] arg2)
static void | plscmap0a (int[] Array, int[] arg1, int[] arg2, double[] arg3)
static void | plscmap0n (int ncol0)
static void | plscmap1 (int[] Array, int[] arg1, int[] arg2)
static void | plscmap1a (int[] Array, int[] arg1, int[] arg2, double[] arg3)
static void | plscmap1l (boolean itype, double[] n, double[] arg2, double[] arg3, double[] arg4, boolean[] ArrayCkMinus1Null)
static void | plscmap1la (boolean itype, double[] n, double[] arg2, double[] arg3, double[] arg4, double[] arg5, boolean[] ArrayCkMinus1Null)
static void | plscmap1n (int ncol1)
static void | plscmap1_range (double min_color, double max_color)
static void | plgcmap1_range (double[] arg0, double[] arg1)
static void | plscol0 (int icol0, int r, int g, int b)
static void | plscol0a (int icol0, int r, int g, int b, double a)
static void | plscolbg (int r, int g, int b)
static void | plscolbga (int r, int g, int b, double a)
static void | plscolor (int color)
static void | plscompression (int compression)
static void | plsdev (String devname)
static void | plsdidev (double mar, double aspect, double jx, double jy)
static void | plsdimap (int dimxmin, int dimxmax, int dimymin, int dimymax, double dimxpmm, double dimypmm)
static void | plsdiori (double rot)
static void | plsdiplt (double xmin, double ymin, double xmax, double ymax)
static void | plsdiplz (double xmin, double ymin, double xmax, double ymax)
static void | plseed (long s)
static void | plsesc (char esc)
static int | plsetopt (String opt, String optarg)
static void | plsfam (int fam, int num, int bmax)
static void | plsfci (long fci)
static void | plsfnam (String fnam)
static void | plsfont (int family, int style, int weight)
static void | plshades (double[][] Matrix, double xmin, double xmax, double ymin, double ymax, double[] Array, double fill_width, int cont_color, double cont_width, boolean rectangular, double[][] pltr, double[][] OBJECT_DATA)
static void | plshade (double[][] Matrix, double left, double right, double bottom, double top, double shade_min, double shade_max, int sh_cmap, double sh_color, double sh_width, int min_color, double min_width, int max_color, double max_width, boolean rectangular, double[][] pltr, double[][] OBJECT_DATA)
static void | plslabelfunc (PLCallbackLabel lf, Object data)
static void | plsmaj (double def, double scale)
static void | plsmin (double def, double scale)
static void | plsori (int ori)
static void | plspage (double xp, double yp, int xleng, int yleng, int xoff, int yoff)
static void | plspal0 (String filename)
static void | plspal1 (String filename, boolean interpolate)
static void | plspause (boolean pause)
static void | plsstrm (int strm)
static void | plssub (int nx, int ny)
static void | plssym (double def, double scale)
static void | plstar (int nx, int ny)
static void | plstart (String devname, int nx, int ny)
static void | plstransform (PLCallbackCT ctf, Object data)
static void | plstring (double[] n, double[] ArrayCk, String string)
static void | plstring3 (double[] n, double[] arg1, double[] arg2, String string)
static void | plstripa (int id, int pen, double x, double y)
static void | plstripc (int[] OUTPUT, String xspec, String yspec, double xmin, double xmax, double xjump, double ymin, double ymax, double xlpos, double ylpos, boolean y_ascl, boolean acc, int colbox, int collab, int[] Array, int[] ArrayCk, String[] legline, String labx, String laby, String labtop)
static void | plstripd (int id)
static void | plstyl (int[] n, int[] ArrayCk)
static void | plsvect (double[] ArrayNull, double[] ArrayCkNull, boolean deffalse)
static void | plsvpa (double xmin, double xmax, double ymin, double ymax)
static void | plsxax (int digmax, int digits)
static void | plsyax (int digmax, int digits)
static void | plsym (double[] n, double[] ArrayCk, int code)
static void | plszax (int digmax, int digits)
static void | pltext ()
static void | pltimefmt (String fmt)
static void | plvasp (double aspect)
static void | plvect (double[][] Matrix, double[][] MatrixCk, double scale, double[][] pltr, double[][] OBJECT_DATA)
static void | plvpas (double xmin, double xmax, double ymin, double ymax, double aspect)
static void | plvpor (double xmin, double xmax, double ymin, double ymax)
static void | plvsta ()
static void | plw3d (double basex, double basey, double height, double xmin0, double xmax0, double ymin0, double ymax0, double zmin0, double zmax0, double alt, double az)
static void | plwidth (int width)
static void | plwind (double xmin, double xmax, double ymin, double ymax)
static void | plxormod (boolean mode, boolean[] OUTPUT)
static void | plmap (PLCallbackMapform mapform, String type, double minlong, double maxlong, double minlat, double maxlat)
static void | plmeridians (PLCallbackMapform mapform, double dlong, double dlat, double minlong, double maxlong, double minlat, double maxlat)
static void | plimage (double[][] Matrix, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, double Dxmin, double Dxmax, double Dymin, double Dymax)
static void | plimagefr (double[][] Matrix, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, double valuemin, double valuemax, double[][] pltr_img, double[][] OBJECT_DATA_img)
static void | plClearOpts ()
static void | plResetOpts ()
static void | plSetUsage (String program_string, String usage_string)
static void | plOptUsage ()
static void | plMinMax2dGrid (double[][] Matrix, double[] arg1, double[] arg2)
static int | plGetCursor (PLGraphicsIn gin)

## Additional Inherited Members
Static Public Attributes inherited from plplot.core.plplotjavacConstants
static final String | jPLFLTArray = plplotjavacJNI.jPLFLTArray_get()
static final String | jPLFLTbracket = plplotjavacJNI.jPLFLTbracket_get()
static final String | jPLFLTbracket2 = plplotjavacJNI.jPLFLTbracket2_get()
static final int | PLESC_SET_RGB = plplotjavacJNI.PLESC_SET_RGB_get()
static final int | PLESC_ALLOC_NCOL = plplotjavacJNI.PLESC_ALLOC_NCOL_get()
static final int | PLESC_SET_LPB = plplotjavacJNI.PLESC_SET_LPB_get()
static final int | PLESC_EXPOSE = plplotjavacJNI.PLESC_EXPOSE_get()
static final int | PLESC_RESIZE = plplotjavacJNI.PLESC_RESIZE_get()
static final int | PLESC_REDRAW = plplotjavacJNI.PLESC_REDRAW_get()
static final int | PLESC_TEXT = plplotjavacJNI.PLESC_TEXT_get()
static final int | PLESC_GRAPH = plplotjavacJNI.PLESC_GRAPH_get()
static final int | PLESC_FILL = plplotjavacJNI.PLESC_FILL_get()
static final int | PLESC_DI = plplotjavacJNI.PLESC_DI_get()
static final int | PLESC_FLUSH = plplotjavacJNI.PLESC_FLUSH_get()
static final int | PLESC_EH = plplotjavacJNI.PLESC_EH_get()
static final int | PLESC_GETC = plplotjavacJNI.PLESC_GETC_get()
static final int | PLESC_SWIN = plplotjavacJNI.PLESC_SWIN_get()
static final int | PLESC_DOUBLEBUFFERING = plplotjavacJNI.PLESC_DOUBLEBUFFERING_get()
static final int | PLESC_XORMOD = plplotjavacJNI.PLESC_XORMOD_get()
static final int | PLESC_SET_COMPRESSION = plplotjavacJNI.PLESC_SET_COMPRESSION_get()
static final int | PLESC_CLEAR = plplotjavacJNI.PLESC_CLEAR_get()
static final int | PLESC_DASH = plplotjavacJNI.PLESC_DASH_get()
static final int | PLESC_HAS_TEXT = plplotjavacJNI.PLESC_HAS_TEXT_get()
static final int | PLESC_IMAGE = plplotjavacJNI.PLESC_IMAGE_get()
static final int | PLESC_IMAGEOPS = plplotjavacJNI.PLESC_IMAGEOPS_get()
static final int | PLESC_PL2DEVCOL = plplotjavacJNI.PLESC_PL2DEVCOL_get()
static final int | PLESC_DEV2PLCOL = plplotjavacJNI.PLESC_DEV2PLCOL_get()
static final int | PLESC_SETBGFG = plplotjavacJNI.PLESC_SETBGFG_get()
static final int | PLESC_DEVINIT = plplotjavacJNI.PLESC_DEVINIT_get()
static final int | PLESC_GETBACKEND = plplotjavacJNI.PLESC_GETBACKEND_get()
static final int | PLESC_BEGIN_TEXT = plplotjavacJNI.PLESC_BEGIN_TEXT_get()
static final int | PLESC_TEXT_CHAR = plplotjavacJNI.PLESC_TEXT_CHAR_get()
static final int | PLESC_CONTROL_CHAR = plplotjavacJNI.PLESC_CONTROL_CHAR_get()
static final int | PLESC_END_TEXT = plplotjavacJNI.PLESC_END_TEXT_get()
static final int | PLESC_START_RASTERIZE = plplotjavacJNI.PLESC_START_RASTERIZE_get()
static final int | PLESC_END_RASTERIZE = plplotjavacJNI.PLESC_END_RASTERIZE_get()
static final int | PLESC_ARC = plplotjavacJNI.PLESC_ARC_get()
static final int | PLESC_GRADIENT = plplotjavacJNI.PLESC_GRADIENT_get()
static final int | PLESC_MODESET = plplotjavacJNI.PLESC_MODESET_get()
static final int | PLESC_MODEGET = plplotjavacJNI.PLESC_MODEGET_get()
static final int | PLTEXT_FONTCHANGE = plplotjavacJNI.PLTEXT_FONTCHANGE_get()
static final int | PLTEXT_SUPERSCRIPT = plplotjavacJNI.PLTEXT_SUPERSCRIPT_get()
static final int | PLTEXT_SUBSCRIPT = plplotjavacJNI.PLTEXT_SUBSCRIPT_get()
static final int | PLTEXT_BACKCHAR = plplotjavacJNI.PLTEXT_BACKCHAR_get()
static final int | PLTEXT_OVERLINE = plplotjavacJNI.PLTEXT_OVERLINE_get()
static final int | PLTEXT_UNDERLINE = plplotjavacJNI.PLTEXT_UNDERLINE_get()
static final int | ZEROW2B = plplotjavacJNI.ZEROW2B_get()
static final int | ZEROW2D = plplotjavacJNI.ZEROW2D_get()
static final int | ONEW2B = plplotjavacJNI.ONEW2B_get()
static final int | ONEW2D = plplotjavacJNI.ONEW2D_get()
static final int | PLSWIN_DEVICE = plplotjavacJNI.PLSWIN_DEVICE_get()
static final int | PLSWIN_WORLD = plplotjavacJNI.PLSWIN_WORLD_get()
static final int | PL_X_AXIS = plplotjavacJNI.PL_X_AXIS_get()
static final int | PL_Y_AXIS = plplotjavacJNI.PL_Y_AXIS_get()
static final int | PL_Z_AXIS = plplotjavacJNI.PL_Z_AXIS_get()
static final int | PL_OPT_ENABLED = plplotjavacJNI.PL_OPT_ENABLED_get()
static final int | PL_OPT_ARG = plplotjavacJNI.PL_OPT_ARG_get()
static final int | PL_OPT_NODELETE = plplotjavacJNI.PL_OPT_NODELETE_get()
static final int | PL_OPT_INVISIBLE = plplotjavacJNI.PL_OPT_INVISIBLE_get()
static final int | PL_OPT_DISABLED = plplotjavacJNI.PL_OPT_DISABLED_get()
static final int | PL_OPT_FUNC = plplotjavacJNI.PL_OPT_FUNC_get()
static final int | PL_OPT_BOOL = plplotjavacJNI.PL_OPT_BOOL_get()
static final int | PL_OPT_INT = plplotjavacJNI.PL_OPT_INT_get()
static final int | PL_OPT_FLOAT = plplotjavacJNI.PL_OPT_FLOAT_get()
static final int | PL_OPT_STRING = plplotjavacJNI.PL_OPT_STRING_get()
static final int | PL_PARSE_PARTIAL = plplotjavacJNI.PL_PARSE_PARTIAL_get()
static final int | PL_PARSE_FULL = plplotjavacJNI.PL_PARSE_FULL_get()
static final int | PL_PARSE_QUIET = plplotjavacJNI.PL_PARSE_QUIET_get()
static final int | PL_PARSE_NODELETE = plplotjavacJNI.PL_PARSE_NODELETE_get()
static final int | PL_PARSE_SHOWALL = plplotjavacJNI.PL_PARSE_SHOWALL_get()
static final int | PL_PARSE_OVERRIDE = plplotjavacJNI.PL_PARSE_OVERRIDE_get()
static final int | PL_PARSE_NOPROGRAM = plplotjavacJNI.PL_PARSE_NOPROGRAM_get()
static final int | PL_PARSE_NODASH = plplotjavacJNI.PL_PARSE_NODASH_get()
static final int | PL_PARSE_SKIP = plplotjavacJNI.PL_PARSE_SKIP_get()
static final int | PL_FCI_MARK = plplotjavacJNI.PL_FCI_MARK_get()
static final int | PL_FCI_IMPOSSIBLE = plplotjavacJNI.PL_FCI_IMPOSSIBLE_get()
static final int | PL_FCI_HEXDIGIT_MASK = plplotjavacJNI.PL_FCI_HEXDIGIT_MASK_get()
static final int | PL_FCI_HEXPOWER_MASK = plplotjavacJNI.PL_FCI_HEXPOWER_MASK_get()
static final int | PL_FCI_HEXPOWER_IMPOSSIBLE = plplotjavacJNI.PL_FCI_HEXPOWER_IMPOSSIBLE_get()
static final int | PL_FCI_FAMILY = plplotjavacJNI.PL_FCI_FAMILY_get()
static final int | PL_FCI_STYLE = plplotjavacJNI.PL_FCI_STYLE_get()
static final int | PL_FCI_WEIGHT = plplotjavacJNI.PL_FCI_WEIGHT_get()
static final int | PL_FCI_SANS = plplotjavacJNI.PL_FCI_SANS_get()
static final int | PL_FCI_SERIF = plplotjavacJNI.PL_FCI_SERIF_get()
static final int | PL_FCI_MONO = plplotjavacJNI.PL_FCI_MONO_get()
static final int | PL_FCI_SCRIPT = plplotjavacJNI.PL_FCI_SCRIPT_get()
static final int | PL_FCI_SYMBOL = plplotjavacJNI.PL_FCI_SYMBOL_get()
static final int | PL_FCI_UPRIGHT = plplotjavacJNI.PL_FCI_UPRIGHT_get()
static final int | PL_FCI_ITALIC = plplotjavacJNI.PL_FCI_ITALIC_get()
static final int | PL_FCI_OBLIQUE = plplotjavacJNI.PL_FCI_OBLIQUE_get()
static final int | PL_FCI_MEDIUM = plplotjavacJNI.PL_FCI_MEDIUM_get()
static final int | PL_FCI_BOLD = plplotjavacJNI.PL_FCI_BOLD_get()
static final int | PL_MAXKEY = plplotjavacJNI.PL_MAXKEY_get()
static final int | PL_MAXWINDOWS = plplotjavacJNI.PL_MAXWINDOWS_get()
static final int | PL_NOTSET = plplotjavacJNI.PL_NOTSET_get()
static final int | PLESC_DOUBLEBUFFERING_ENABLE = plplotjavacJNI.PLESC_DOUBLEBUFFERING_ENABLE_get()
static final int | PLESC_DOUBLEBUFFERING_DISABLE = plplotjavacJNI.PLESC_DOUBLEBUFFERING_DISABLE_get()
static final int | PLESC_DOUBLEBUFFERING_QUERY = plplotjavacJNI.PLESC_DOUBLEBUFFERING_QUERY_get()
static final int | PL_BIN_DEFAULT = plplotjavacJNI.PL_BIN_DEFAULT_get()
static final int | PL_BIN_CENTRED = plplotjavacJNI.PL_BIN_CENTRED_get()
static final int | PL_BIN_NOEXPAND = plplotjavacJNI.PL_BIN_NOEXPAND_get()
static final int | PL_BIN_NOEMPTY = plplotjavacJNI.PL_BIN_NOEMPTY_get()
static final int | GRID_CSA = plplotjavacJNI.GRID_CSA_get()
static final int | GRID_DTLI = plplotjavacJNI.GRID_DTLI_get()
static final int | GRID_NNI = plplotjavacJNI.GRID_NNI_get()
static final int | GRID_NNIDW = plplotjavacJNI.GRID_NNIDW_get()
static final int | GRID_NNLI = plplotjavacJNI.GRID_NNLI_get()
static final int | GRID_NNAIDW = plplotjavacJNI.GRID_NNAIDW_get()
static final int | PL_HIST_DEFAULT = plplotjavacJNI.PL_HIST_DEFAULT_get()
static final int | PL_HIST_NOSCALING = plplotjavacJNI.PL_HIST_NOSCALING_get()
static final int | PL_HIST_IGNORE_OUTLIERS = plplotjavacJNI.PL_HIST_IGNORE_OUTLIERS_get()
static final int | PL_HIST_NOEXPAND = plplotjavacJNI.PL_HIST_NOEXPAND_get()
static final int | PL_HIST_NOEMPTY = plplotjavacJNI.PL_HIST_NOEMPTY_get()
static final int | PL_POSITION_LEFT = plplotjavacJNI.PL_POSITION_LEFT_get()
static final int | PL_POSITION_RIGHT = plplotjavacJNI.PL_POSITION_RIGHT_get()
static final int | PL_POSITION_TOP = plplotjavacJNI.PL_POSITION_TOP_get()
static final int | PL_POSITION_BOTTOM = plplotjavacJNI.PL_POSITION_BOTTOM_get()
static final int | PL_POSITION_INSIDE = plplotjavacJNI.PL_POSITION_INSIDE_get()
static final int | PL_POSITION_OUTSIDE = plplotjavacJNI.PL_POSITION_OUTSIDE_get()
static final int | PL_POSITION_VIEWPORT = plplotjavacJNI.PL_POSITION_VIEWPORT_get()
static final int | PL_POSITION_SUBPAGE = plplotjavacJNI.PL_POSITION_SUBPAGE_get()
static final int | PL_LEGEND_NONE = plplotjavacJNI.PL_LEGEND_NONE_get()
static final int | PL_LEGEND_COLOR_BOX = plplotjavacJNI.PL_LEGEND_COLOR_BOX_get()
static final int | PL_LEGEND_LINE = plplotjavacJNI.PL_LEGEND_LINE_get()
static final int | PL_LEGEND_SYMBOL = plplotjavacJNI.PL_LEGEND_SYMBOL_get()
static final int | PL_LEGEND_TEXT_LEFT = plplotjavacJNI.PL_LEGEND_TEXT_LEFT_get()
static final int | PL_LEGEND_BACKGROUND = plplotjavacJNI.PL_LEGEND_BACKGROUND_get()
static final int | PL_LEGEND_BOUNDING_BOX = plplotjavacJNI.PL_LEGEND_BOUNDING_BOX_get()
static final int | PL_LEGEND_ROW_MAJOR = plplotjavacJNI.PL_LEGEND_ROW_MAJOR_get()
static final int | PL_COLORBAR_LABEL_LEFT = plplotjavacJNI.PL_COLORBAR_LABEL_LEFT_get()
static final int | PL_COLORBAR_LABEL_RIGHT = plplotjavacJNI.PL_COLORBAR_LABEL_RIGHT_get()
static final int | PL_COLORBAR_LABEL_TOP = plplotjavacJNI.PL_COLORBAR_LABEL_TOP_get()
static final int | PL_COLORBAR_LABEL_BOTTOM = plplotjavacJNI.PL_COLORBAR_LABEL_BOTTOM_get()
static final int | PL_COLORBAR_IMAGE = plplotjavacJNI.PL_COLORBAR_IMAGE_get()
static final int | PL_COLORBAR_SHADE = plplotjavacJNI.PL_COLORBAR_SHADE_get()
static final int | PL_COLORBAR_GRADIENT = plplotjavacJNI.PL_COLORBAR_GRADIENT_get()
static final int | PL_COLORBAR_CAP_NONE = plplotjavacJNI.PL_COLORBAR_CAP_NONE_get()
static final int | PL_COLORBAR_CAP_LOW = plplotjavacJNI.PL_COLORBAR_CAP_LOW_get()
static final int | PL_COLORBAR_CAP_HIGH = plplotjavacJNI.PL_COLORBAR_CAP_HIGH_get()
static final int | PL_COLORBAR_SHADE_LABEL = plplotjavacJNI.PL_COLORBAR_SHADE_LABEL_get()
static final int | PL_COLORBAR_ORIENT_RIGHT = plplotjavacJNI.PL_COLORBAR_ORIENT_RIGHT_get()
static final int | PL_COLORBAR_ORIENT_TOP = plplotjavacJNI.PL_COLORBAR_ORIENT_TOP_get()
static final int | PL_COLORBAR_ORIENT_LEFT = plplotjavacJNI.PL_COLORBAR_ORIENT_LEFT_get()
static final int | PL_COLORBAR_ORIENT_BOTTOM = plplotjavacJNI.PL_COLORBAR_ORIENT_BOTTOM_get()
static final int | PL_COLORBAR_BACKGROUND = plplotjavacJNI.PL_COLORBAR_BACKGROUND_get()
static final int | PL_COLORBAR_BOUNDING_BOX = plplotjavacJNI.PL_COLORBAR_BOUNDING_BOX_get()
static final int | PL_DRAWMODE_UNKNOWN = plplotjavacJNI.PL_DRAWMODE_UNKNOWN_get()
static final int | PL_DRAWMODE_DEFAULT = plplotjavacJNI.PL_DRAWMODE_DEFAULT_get()
static final int | PL_DRAWMODE_REPLACE = plplotjavacJNI.PL_DRAWMODE_REPLACE_get()
static final int | PL_DRAWMODE_XOR = plplotjavacJNI.PL_DRAWMODE_XOR_get()
static final int | DRAW_LINEX = plplotjavacJNI.DRAW_LINEX_get()
static final int | DRAW_LINEY = plplotjavacJNI.DRAW_LINEY_get()
static final int | DRAW_LINEXY = plplotjavacJNI.DRAW_LINEXY_get()
static final int | MAG_COLOR = plplotjavacJNI.MAG_COLOR_get()
static final int | BASE_CONT = plplotjavacJNI.BASE_CONT_get()
static final int | TOP_CONT = plplotjavacJNI.TOP_CONT_get()
static final int | SURF_CONT = plplotjavacJNI.SURF_CONT_get()
static final int | DRAW_SIDES = plplotjavacJNI.DRAW_SIDES_get()
static final int | FACETED = plplotjavacJNI.FACETED_get()
static final int | MESH = plplotjavacJNI.MESH_get()

## Detailed Description

Definition at line 11 of file plplotjavac.java.

## Member Function Documentation

static void plplot.core.plplotjavac.pl_setcontlabelformat | ( | int | lexp,
|  | int | sigdig
| ) |  |
| inlinestatic

Definition at line 12 of file plplotjavac.java.

static void plplot.core.plplotjavac.pl_setcontlabelparam | ( | double | offset,
|  | double | size,
|  | double | spacing,
|  | int | active
| ) |  |
| inlinestatic

Definition at line 16 of file plplotjavac.java.

static void plplot.core.plplotjavac.pladv | ( | int | page | ) |
| inlinestatic

Definition at line 20 of file plplotjavac.java.

static void plplot.core.plplotjavac.plarc | ( | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | angle1,
|  | double | angle2,
|  | double | rotate,
|  | boolean | fill
| ) |  |
| inlinestatic

Definition at line 24 of file plplotjavac.java.

static void plplot.core.plplotjavac.plaxes | ( | double | x0,
|  | double | y0,
|  | String | xopt,
|  | double | xtick,
|  | int | nxsub,
|  | String | yopt,
|  | double | ytick,
|  | int | nysub
| ) |  |
| inlinestatic

Definition at line 28 of file plplotjavac.java.

static void plplot.core.plplotjavac.plbin | ( | double[] | n,
|  | double[] | ArrayCk,
|  | int | center
| ) |  |
| inlinestatic

Definition at line 32 of file plplotjavac.java.

static void plplot.core.plplotjavac.plbop | ( |  | ) |
| inlinestatic

Definition at line 40 of file plplotjavac.java.

static void plplot.core.plplotjavac.plbox | ( | String | xopt,
|  | double | xtick,
|  | int | nxsub,
|  | String | yopt,
|  | double | ytick,
|  | int | nysub
| ) |  |
| inlinestatic

Definition at line 44 of file plplotjavac.java.

static void plplot.core.plplotjavac.plbox3 | ( | String | xopt,
|  | String | xlabel,
|  | double | xtick,
|  | int | nsubx,
|  | String | yopt,
|  | String | ylabel,
|  | double | ytick,
|  | int | nsuby,
|  | String | zopt,
|  | String | zlabel,
|  | double | ztick,
|  | int | nsubz
| ) |  |
| inlinestatic

Definition at line 48 of file plplotjavac.java.

static void plplot.core.plplotjavac.plbtime | ( | int[] | arg0,
|  | int[] | arg1,
|  | int[] | arg2,
|  | int[] | arg3,
|  | int[] | arg4,
|  | double[] | arg5,
|  | double | ctime
| ) |  |
| inlinestatic

Definition at line 36 of file plplotjavac.java.

static void plplot.core.plplotjavac.plcalc_world | ( | double | rx,
|  | double | ry,
|  | double[] | arg2,
|  | double[] | arg3,
|  | int[] | arg4
| ) |  |
| inlinestatic

Definition at line 52 of file plplotjavac.java.

static void plplot.core.plplotjavac.plclear | ( |  | ) |
| inlinestatic

Definition at line 56 of file plplotjavac.java.

static void plplot.core.plplotjavac.plClearOpts | ( |  | ) |
| inlinestatic

Definition at line 672 of file plplotjavac.java.

static void plplot.core.plplotjavac.plcol0 | ( | int | icol0 | ) |
| inlinestatic

Definition at line 60 of file plplotjavac.java.

static void plplot.core.plplotjavac.plcol1 | ( | double | col1 | ) |
| inlinestatic

Definition at line 64 of file plplotjavac.java.

static void plplot.core.plplotjavac.plcolorbar | ( | double[] | arg0,
|  | double[] | arg1,
|  | int | opt,
|  | int | position,
|  | double | x,
|  | double | y,
|  | double | x_length,
|  | double | y_length,
|  | int | bg_color,
|  | int | bb_color,
|  | int | bb_style,
|  | double | low_cap_color,
|  | double | high_cap_color,
|  | int | cont_color,
|  | double | cont_width,
|  | int[] | arg15,
|  | String[] | arg16,
|  | String[] | arg17,
|  | double[] | arg18,
|  | int[] | arg19,
|  | int[] | ArrayN,
|  | double | MatrixCk[][]
| ) |  |
| inlinestatic

Definition at line 268 of file plplotjavac.java.

static void plplot.core.plplotjavac.plconfigtime | ( | double | scale,
|  | double | offset1,
|  | double | offset2,
|  | int | ccontrol,
|  | boolean | ifbtime_offset,
|  | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec
| ) |  |
| inlinestatic

Definition at line 68 of file plplotjavac.java.

static void plplot.core.plplotjavac.plcont | ( | double | Matrix[][],
|  | int | kx,
|  | int | lx,
|  | int | ky,
|  | int | ly,
|  | double[] | Array,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inlinestatic

Definition at line 72 of file plplotjavac.java.

static void plplot.core.plplotjavac.plcpstrm | ( | int | iplsr,
|  | boolean | flags
| ) |  |
| inlinestatic

Definition at line 80 of file plplotjavac.java.

static void plplot.core.plplotjavac.plctime | ( | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | double[] | OUTPUT
| ) |  |
| inlinestatic

Definition at line 76 of file plplotjavac.java.

static void plplot.core.plplotjavac.plend | ( |  | ) |
| inlinestatic

Definition at line 84 of file plplotjavac.java.

static void plplot.core.plplotjavac.plend1 | ( |  | ) |
| inlinestatic

Definition at line 88 of file plplotjavac.java.

static void plplot.core.plplotjavac.plenv | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | int | just,
|  | int | axis
| ) |  |
| inlinestatic

Definition at line 92 of file plplotjavac.java.

static void plplot.core.plplotjavac.plenv0 | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | int | just,
|  | int | axis
| ) |  |
| inlinestatic

Definition at line 96 of file plplotjavac.java.

static void plplot.core.plplotjavac.pleop | ( |  | ) |
| inlinestatic

Definition at line 100 of file plplotjavac.java.

static void plplot.core.plplotjavac.plerrx | ( | double[] | n,
|  | double[] | arg1,
|  | double[] | arg2
| ) |  |
| inlinestatic

Definition at line 104 of file plplotjavac.java.

static void plplot.core.plplotjavac.plerry | ( | double[] | n,
|  | double[] | arg1,
|  | double[] | arg2
| ) |  |
| inlinestatic

Definition at line 108 of file plplotjavac.java.

static void plplot.core.plplotjavac.plfamadv | ( |  | ) |
| inlinestatic

Definition at line 112 of file plplotjavac.java.

static void plplot.core.plplotjavac.plfill | ( | double[] | n,
|  | double[] | ArrayCk
| ) |  |
| inlinestatic

Definition at line 116 of file plplotjavac.java.

static void plplot.core.plplotjavac.plfill3 | ( | double[] | n,
|  | double[] | arg1,
|  | double[] | arg2
| ) |  |
| inlinestatic

Definition at line 120 of file plplotjavac.java.

static void plplot.core.plplotjavac.plflush | ( |  | ) |
| inlinestatic

Definition at line 128 of file plplotjavac.java.

static void plplot.core.plplotjavac.plfont | ( | int | ifont | ) |
| inlinestatic

Definition at line 132 of file plplotjavac.java.

static void plplot.core.plplotjavac.plfontld | ( | int | fnt | ) |
| inlinestatic

Definition at line 136 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgchr | ( | double[] | arg0,
|  | double[] | arg1
| ) |  |
| inlinestatic

Definition at line 140 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgcmap1_range | ( | double[] | arg0,
|  | double[] | arg1
| ) |  |
| inlinestatic

Definition at line 420 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgcol0 | ( | int | icol0,
|  | int[] | arg1,
|  | int[] | arg2,
|  | int[] | arg3
| ) |  |
| inlinestatic

Definition at line 144 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgcol0a | ( | int | icol0,
|  | int[] | arg1,
|  | int[] | arg2,
|  | int[] | arg3,
|  | double[] | arg4
| ) |  |
| inlinestatic

Definition at line 148 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgcolbg | ( | int[] | arg0,
|  | int[] | arg1,
|  | int[] | arg2
| ) |  |
| inlinestatic

Definition at line 152 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgcolbga | ( | int[] | arg0,
|  | int[] | arg1,
|  | int[] | arg2,
|  | double[] | arg3
| ) |  |
| inlinestatic

Definition at line 156 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgcompression | ( | int[] | OUTPUT | ) |
| inlinestatic

Definition at line 160 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgdev | ( | StringBuffer | OUTPUT | ) |
| inlinestatic

Definition at line 164 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgdidev | ( | double[] | arg0,
|  | double[] | arg1,
|  | double[] | arg2,
|  | double[] | arg3
| ) |  |
| inlinestatic

Definition at line 168 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgdiori | ( | double[] | OUTPUT | ) |
| inlinestatic

Definition at line 172 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgdiplt | ( | double[] | arg0,
|  | double[] | arg1,
|  | double[] | arg2,
|  | double[] | arg3
| ) |  |
| inlinestatic

Definition at line 176 of file plplotjavac.java.

static int plplot.core.plplotjavac.plGetCursor | ( | PLGraphicsIn | gin | ) |
| inlinestatic

Definition at line 692 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgfam | ( | int[] | arg0,
|  | int[] | arg1,
|  | int[] | arg2
| ) |  |
| inlinestatic

Definition at line 180 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgfci | ( | long[] | OUTPUT | ) |
| inlinestatic

Definition at line 184 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgfnam | ( | StringBuffer | OUTPUT | ) |
| inlinestatic

Definition at line 188 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgfont | ( | int[] | arg0,
|  | int[] | arg1,
|  | int[] | arg2
| ) |  |
| inlinestatic

Definition at line 192 of file plplotjavac.java.

static void plplot.core.plplotjavac.plglevel | ( | int[] | OUTPUT | ) |
| inlinestatic

Definition at line 196 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgpage | ( | double[] | arg0,
|  | double[] | arg1,
|  | int[] | arg2,
|  | int[] | arg3,
|  | int[] | arg4,
|  | int[] | arg5
| ) |  |
| inlinestatic

Definition at line 200 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgra | ( |  | ) |
| inlinestatic

Definition at line 204 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgradient | ( | double[] | n,
|  | double[] | ArrayCk,
|  | double | angle
| ) |  |
| inlinestatic

Definition at line 124 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgriddata | ( | double[] | Array,
|  | double[] | arg1,
|  | double[] | arg2,
|  | double[] | ArrayX,
|  | double[] | ArrayY,
|  | double | OutMatrixCk[][],
|  | int | type,
|  | double | data
| ) |  |
| inlinestatic

Definition at line 208 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgspa | ( | double[] | arg0,
|  | double[] | arg1,
|  | double[] | arg2,
|  | double[] | arg3
| ) |  |
| inlinestatic

Definition at line 212 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgstrm | ( | int[] | OUTPUT | ) |
| inlinestatic

Definition at line 216 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgver | ( | StringBuffer | OUTPUT | ) |
| inlinestatic

Definition at line 220 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgvpd | ( | double[] | arg0,
|  | double[] | arg1,
|  | double[] | arg2,
|  | double[] | arg3
| ) |  |
| inlinestatic

Definition at line 224 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgvpw | ( | double[] | arg0,
|  | double[] | arg1,
|  | double[] | arg2,
|  | double[] | arg3
| ) |  |
| inlinestatic

Definition at line 228 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgxax | ( | int[] | arg0,
|  | int[] | arg1
| ) |  |
| inlinestatic

Definition at line 232 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgyax | ( | int[] | arg0,
|  | int[] | arg1
| ) |  |
| inlinestatic

Definition at line 236 of file plplotjavac.java.

static void plplot.core.plplotjavac.plgzax | ( | int[] | arg0,
|  | int[] | arg1
| ) |  |
| inlinestatic

Definition at line 240 of file plplotjavac.java.

static void plplot.core.plplotjavac.plhist | ( | double[] | n,
|  | double | datmin,
|  | double | datmax,
|  | int | nbin,
|  | int | oldwin
| ) |  |
| inlinestatic

Definition at line 244 of file plplotjavac.java.

static void plplot.core.plplotjavac.plhlsrgb | ( | double | h,
|  | double | l,
|  | double | s,
|  | double[] | arg3,
|  | double[] | arg4,
|  | double[] | arg5
| ) |  |
| inlinestatic

Definition at line 248 of file plplotjavac.java.

static void plplot.core.plplotjavac.plimage | ( | double | Matrix[][],
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | zmin,
|  | double | zmax,
|  | double | Dxmin,
|  | double | Dxmax,
|  | double | Dymin,
|  | double | Dymax
| ) |  |
| inlinestatic

Definition at line 664 of file plplotjavac.java.

static void plplot.core.plplotjavac.plimagefr | ( | double | Matrix[][],
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | zmin,
|  | double | zmax,
|  | double | valuemin,
|  | double | valuemax,
|  | double | pltr_img[][],
|  | double | OBJECT_DATA_img[][]
| ) |  |
| inlinestatic

Definition at line 668 of file plplotjavac.java.

static void plplot.core.plplotjavac.plinit | ( |  | ) |
| inlinestatic

Definition at line 252 of file plplotjavac.java.

static void plplot.core.plplotjavac.pljoin | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |
| inlinestatic

Definition at line 256 of file plplotjavac.java.

static void plplot.core.plplotjavac.pllab | ( | String | xlabel,
|  | String | ylabel,
|  | String | tlabel
| ) |  |
| inlinestatic

Definition at line 260 of file plplotjavac.java.

static void plplot.core.plplotjavac.pllegend | ( | double[] | arg0,
|  | double[] | arg1,
|  | int | opt,
|  | int | position,
|  | double | x,
|  | double | y,
|  | double | plot_width,
|  | int | bg_color,
|  | int | bb_color,
|  | int | bb_style,
|  | int | nrow,
|  | int | ncolumn,
|  | int[] | n,
|  | double | text_offset,
|  | double | text_scale,
|  | double | text_spacing,
|  | double | text_justification,
|  | int[] | arg17,
|  | String[] | arg18,
|  | int[] | arg19,
|  | int[] | arg20,
|  | double[] | arg21,
|  | double[] | arg22,
|  | int[] | arg23,
|  | int[] | arg24,
|  | double[] | arg25,
|  | int[] | arg26,
|  | double[] | arg27,
|  | int[] | arg28,
|  | String[] | arg29
| ) |  |
| inlinestatic

Definition at line 264 of file plplotjavac.java.

static void plplot.core.plplotjavac.pllightsource | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inlinestatic

Definition at line 272 of file plplotjavac.java.

static void plplot.core.plplotjavac.plline | ( | double[] | n,
|  | double[] | ArrayCk
| ) |  |
| inlinestatic

Definition at line 276 of file plplotjavac.java.

static void plplot.core.plplotjavac.plline3 | ( | double[] | n,
|  | double[] | arg1,
|  | double[] | arg2
| ) |  |
| inlinestatic

Definition at line 280 of file plplotjavac.java.

static void plplot.core.plplotjavac.pllsty | ( | int | lin | ) |
| inlinestatic

Definition at line 284 of file plplotjavac.java.

static void plplot.core.plplotjavac.plmap | ( | PLCallbackMapform | mapform,
|  | String | type,
|  | double | minlong,
|  | double | maxlong,
|  | double | minlat,
|  | double | maxlat
| ) |  |
| inlinestatic

Definition at line 656 of file plplotjavac.java.

static void plplot.core.plplotjavac.plmeridians | ( | PLCallbackMapform | mapform,
|  | double | dlong,
|  | double | dlat,
|  | double | minlong,
|  | double | maxlong,
|  | double | minlat,
|  | double | maxlat
| ) |  |
| inlinestatic

Definition at line 660 of file plplotjavac.java.

static void plplot.core.plplotjavac.plmesh | ( | double[] | ArrayX,
|  | double[] | ArrayY,
|  | double | MatrixCk[][],
|  | int | opt
| ) |  |
| inlinestatic

Definition at line 288 of file plplotjavac.java.

static void plplot.core.plplotjavac.plmeshc | ( | double[] | ArrayX,
|  | double[] | ArrayY,
|  | double | MatrixCk[][],
|  | int | opt,
|  | double[] | Array
| ) |  |
| inlinestatic

Definition at line 292 of file plplotjavac.java.

static void plplot.core.plplotjavac.plMinMax2dGrid | ( | double | Matrix[][],
|  | double[] | arg1,
|  | double[] | arg2
| ) |  |
| inlinestatic

Definition at line 688 of file plplotjavac.java.

static void plplot.core.plplotjavac.plmkstrm | ( | int[] | OUTPUT | ) |
| inlinestatic

Definition at line 296 of file plplotjavac.java.

static void plplot.core.plplotjavac.plmtex | ( | String | side,
|  | double | disp,
|  | double | pos,
|  | double | just,
|  | String | text
| ) |  |
| inlinestatic

Definition at line 300 of file plplotjavac.java.

static void plplot.core.plplotjavac.plmtex3 | ( | String | side,
|  | double | disp,
|  | double | pos,
|  | double | just,
|  | String | text
| ) |  |
| inlinestatic

Definition at line 304 of file plplotjavac.java.

static void plplot.core.plplotjavac.plOptUsage | ( |  | ) |
| inlinestatic

Definition at line 684 of file plplotjavac.java.

static void plplot.core.plplotjavac.plot3d | ( | double[] | ArrayX,
|  | double[] | ArrayY,
|  | double | MatrixCk[][],
|  | int | opt,
|  | boolean | side
| ) |  |
| inlinestatic

Definition at line 308 of file plplotjavac.java.

static void plplot.core.plplotjavac.plot3dc | ( | double[] | ArrayX,
|  | double[] | ArrayY,
|  | double | MatrixCk[][],
|  | int | opt,
|  | double[] | Array
| ) |  |
| inlinestatic

Definition at line 312 of file plplotjavac.java.

static void plplot.core.plplotjavac.plot3dcl | ( | double[] | ArrayX,
|  | double[] | ArrayY,
|  | double | MatrixCk[][],
|  | int | opt,
|  | double[] | arg4,
|  | int | ixstart,
|  | int[] | arg6,
|  | int[] | ArrayCk
| ) |  |
| inlinestatic

Definition at line 316 of file plplotjavac.java.

static int plplot.core.plplotjavac.plparseopts | ( | String[] | p_argc,
|  | int | mode
| ) |  |
| inlinestatic

Definition at line 328 of file plplotjavac.java.

static void plplot.core.plplotjavac.plpat | ( | int[] | n,
|  | int[] | ArrayCk
| ) |  |
| inlinestatic

Definition at line 332 of file plplotjavac.java.

static void plplot.core.plplotjavac.plpath | ( | int | n,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |
| inlinestatic

Definition at line 336 of file plplotjavac.java.

static void plplot.core.plplotjavac.plpoin | ( | double[] | n,
|  | double[] | ArrayCk,
|  | int | code
| ) |  |
| inlinestatic

Definition at line 340 of file plplotjavac.java.

static void plplot.core.plplotjavac.plpoin3 | ( | double[] | n,
|  | double[] | arg1,
|  | double[] | arg2,
|  | int | code
| ) |  |
| inlinestatic

Definition at line 344 of file plplotjavac.java.

static void plplot.core.plplotjavac.plpoly3 | ( | double[] | n,
|  | double[] | arg1,
|  | double[] | arg2,
|  | boolean[] | ArrayCkMinus1,
|  | boolean | flag
| ) |  |
| inlinestatic

Definition at line 348 of file plplotjavac.java.

static void plplot.core.plplotjavac.plprec | ( | int | setp,
|  | int | prec
| ) |  |
| inlinestatic

Definition at line 352 of file plplotjavac.java.

static void plplot.core.plplotjavac.plpsty | ( | int | patt | ) |
| inlinestatic

Definition at line 356 of file plplotjavac.java.

static void plplot.core.plplotjavac.plptex | ( | double | x,
|  | double | y,
|  | double | dx,
|  | double | dy,
|  | double | just,
|  | String | text
| ) |  |
| inlinestatic

Definition at line 360 of file plplotjavac.java.

static void plplot.core.plplotjavac.plptex3 | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | dx,
|  | double | dy,
|  | double | dz,
|  | double | sx,
|  | double | sy,
|  | double | sz,
|  | double | just,
|  | String | text
| ) |  |
| inlinestatic

Definition at line 364 of file plplotjavac.java.

static double plplot.core.plplotjavac.plrandd | ( |  | ) |
| inlinestatic

Definition at line 368 of file plplotjavac.java.

static void plplot.core.plplotjavac.plreplot | ( |  | ) |
| inlinestatic

Definition at line 372 of file plplotjavac.java.

static void plplot.core.plplotjavac.plResetOpts | ( |  | ) |
| inlinestatic

Definition at line 676 of file plplotjavac.java.

static void plplot.core.plplotjavac.plrgbhls | ( | double | r,
|  | double | g,
|  | double | b,
|  | double[] | arg3,
|  | double[] | arg4,
|  | double[] | arg5
| ) |  |
| inlinestatic

Definition at line 376 of file plplotjavac.java.

static void plplot.core.plplotjavac.plschr | ( | double | def,
|  | double | scale
| ) |  |
| inlinestatic

Definition at line 380 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap0 | ( | int[] | Array,
|  | int[] | arg1,
|  | int[] | arg2
| ) |  |
| inlinestatic

Definition at line 384 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap0a | ( | int[] | Array,
|  | int[] | arg1,
|  | int[] | arg2,
|  | double[] | arg3
| ) |  |
| inlinestatic

Definition at line 388 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap0n | ( | int | ncol0 | ) |
| inlinestatic

Definition at line 392 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap1 | ( | int[] | Array,
|  | int[] | arg1,
|  | int[] | arg2
| ) |  |
| inlinestatic

Definition at line 396 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap1_range | ( | double | min_color,
|  | double | max_color
| ) |  |
| inlinestatic

Definition at line 416 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap1a | ( | int[] | Array,
|  | int[] | arg1,
|  | int[] | arg2,
|  | double[] | arg3
| ) |  |
| inlinestatic

Definition at line 400 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap1l | ( | boolean | itype,
|  | double[] | n,
|  | double[] | arg2,
|  | double[] | arg3,
|  | double[] | arg4,
|  | boolean[] | ArrayCkMinus1Null
| ) |  |
| inlinestatic

Definition at line 404 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap1la | ( | boolean | itype,
|  | double[] | n,
|  | double[] | arg2,
|  | double[] | arg3,
|  | double[] | arg4,
|  | double[] | arg5,
|  | boolean[] | ArrayCkMinus1Null
| ) |  |
| inlinestatic

Definition at line 408 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscmap1n | ( | int | ncol1 | ) |
| inlinestatic

Definition at line 412 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscol0 | ( | int | icol0,
|  | int | r,
|  | int | g,
|  | int | b
| ) |  |
| inlinestatic

Definition at line 424 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscol0a | ( | int | icol0,
|  | int | r,
|  | int | g,
|  | int | b,
|  | double | a
| ) |  |
| inlinestatic

Definition at line 428 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscolbg | ( | int | r,
|  | int | g,
|  | int | b
| ) |  |
| inlinestatic

Definition at line 432 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscolbga | ( | int | r,
|  | int | g,
|  | int | b,
|  | double | a
| ) |  |
| inlinestatic

Definition at line 436 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscolor | ( | int | color | ) |
| inlinestatic

Definition at line 440 of file plplotjavac.java.

static void plplot.core.plplotjavac.plscompression | ( | int | compression | ) |
| inlinestatic

Definition at line 444 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsdev | ( | String | devname | ) |
| inlinestatic

Definition at line 448 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsdidev | ( | double | mar,
|  | double | aspect,
|  | double | jx,
|  | double | jy
| ) |  |
| inlinestatic

Definition at line 452 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsdimap | ( | int | dimxmin,
|  | int | dimxmax,
|  | int | dimymin,
|  | int | dimymax,
|  | double | dimxpmm,
|  | double | dimypmm
| ) |  |
| inlinestatic

Definition at line 456 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsdiori | ( | double | rot | ) |
| inlinestatic

Definition at line 460 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsdiplt | ( | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax
| ) |  |
| inlinestatic

Definition at line 464 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsdiplz | ( | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax
| ) |  |
| inlinestatic

Definition at line 468 of file plplotjavac.java.

static void plplot.core.plplotjavac.plseed | ( | long | s | ) |
| inlinestatic

Definition at line 472 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsesc | ( | char | esc | ) |
| inlinestatic

Definition at line 476 of file plplotjavac.java.

static int plplot.core.plplotjavac.plsetopt | ( | String | opt,
|  | String | optarg
| ) |  |
| inlinestatic

Definition at line 480 of file plplotjavac.java.

static void plplot.core.plplotjavac.plSetUsage | ( | String | program_string,
|  | String | usage_string
| ) |  |
| inlinestatic

Definition at line 680 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsfam | ( | int | fam,
|  | int | num,
|  | int | bmax
| ) |  |
| inlinestatic

Definition at line 484 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsfci | ( | long | fci | ) |
| inlinestatic

Definition at line 488 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsfnam | ( | String | fnam | ) |
| inlinestatic

Definition at line 492 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsfont | ( | int | family,
|  | int | style,
|  | int | weight
| ) |  |
| inlinestatic

Definition at line 496 of file plplotjavac.java.

static void plplot.core.plplotjavac.plshade | ( | double | Matrix[][],
|  | double | left,
|  | double | right,
|  | double | bottom,
|  | double | top,
|  | double | shade_min,
|  | double | shade_max,
|  | int | sh_cmap,
|  | double | sh_color,
|  | double | sh_width,
|  | int | min_color,
|  | double | min_width,
|  | int | max_color,
|  | double | max_width,
|  | boolean | rectangular,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inlinestatic

Definition at line 504 of file plplotjavac.java.

static void plplot.core.plplotjavac.plshades | ( | double | Matrix[][],
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double[] | Array,
|  | double | fill_width,
|  | int | cont_color,
|  | double | cont_width,
|  | boolean | rectangular,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inlinestatic

Definition at line 500 of file plplotjavac.java.

static void plplot.core.plplotjavac.plslabelfunc | ( | PLCallbackLabel | lf,
|  | Object | data
| ) |  |
| inlinestatic

Definition at line 508 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsmaj | ( | double | def,
|  | double | scale
| ) |  |
| inlinestatic

Definition at line 512 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsmin | ( | double | def,
|  | double | scale
| ) |  |
| inlinestatic

Definition at line 516 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsori | ( | int | ori | ) |
| inlinestatic

Definition at line 520 of file plplotjavac.java.

static void plplot.core.plplotjavac.plspage | ( | double | xp,
|  | double | yp,
|  | int | xleng,
|  | int | yleng,
|  | int | xoff,
|  | int | yoff
| ) |  |
| inlinestatic

Definition at line 524 of file plplotjavac.java.

static void plplot.core.plplotjavac.plspal0 | ( | String | filename | ) |
| inlinestatic

Definition at line 528 of file plplotjavac.java.

static void plplot.core.plplotjavac.plspal1 | ( | String | filename,
|  | boolean | interpolate
| ) |  |
| inlinestatic

Definition at line 532 of file plplotjavac.java.

static void plplot.core.plplotjavac.plspause | ( | boolean | pause | ) |
| inlinestatic

Definition at line 536 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsstrm | ( | int | strm | ) |
| inlinestatic

Definition at line 540 of file plplotjavac.java.

static void plplot.core.plplotjavac.plssub | ( | int | nx,
|  | int | ny
| ) |  |
| inlinestatic

Definition at line 544 of file plplotjavac.java.

static void plplot.core.plplotjavac.plssym | ( | double | def,
|  | double | scale
| ) |  |
| inlinestatic

Definition at line 548 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstar | ( | int | nx,
|  | int | ny
| ) |  |
| inlinestatic

Definition at line 552 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstart | ( | String | devname,
|  | int | nx,
|  | int | ny
| ) |  |
| inlinestatic

Definition at line 556 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstransform | ( | PLCallbackCT | ctf,
|  | Object | data
| ) |  |
| inlinestatic

Definition at line 560 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstring | ( | double[] | n,
|  | double[] | ArrayCk,
|  | String | string
| ) |  |
| inlinestatic

Definition at line 564 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstring3 | ( | double[] | n,
|  | double[] | arg1,
|  | double[] | arg2,
|  | String | string
| ) |  |
| inlinestatic

Definition at line 568 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstripa | ( | int | id,
|  | int | pen,
|  | double | x,
|  | double | y
| ) |  |
| inlinestatic

Definition at line 572 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstripc | ( | int[] | OUTPUT,
|  | String | xspec,
|  | String | yspec,
|  | double | xmin,
|  | double | xmax,
|  | double | xjump,
|  | double | ymin,
|  | double | ymax,
|  | double | xlpos,
|  | double | ylpos,
|  | boolean | y_ascl,
|  | boolean | acc,
|  | int | colbox,
|  | int | collab,
|  | int[] | Array,
|  | int[] | ArrayCk,
|  | String[] | legline,
|  | String | labx,
|  | String | laby,
|  | String | labtop
| ) |  |
| inlinestatic

Definition at line 576 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstripd | ( | int | id | ) |
| inlinestatic

Definition at line 580 of file plplotjavac.java.

static void plplot.core.plplotjavac.plstyl | ( | int[] | n,
|  | int[] | ArrayCk
| ) |  |
| inlinestatic

Definition at line 584 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsurf3d | ( | double[] | ArrayX,
|  | double[] | ArrayY,
|  | double | MatrixCk[][],
|  | int | opt,
|  | double[] | Array
| ) |  |
| inlinestatic

Definition at line 320 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsurf3dl | ( | double[] | ArrayX,
|  | double[] | ArrayY,
|  | double | MatrixCk[][],
|  | int | opt,
|  | double[] | arg4,
|  | int | ixstart,
|  | int[] | arg6,
|  | int[] | ArrayCk
| ) |  |
| inlinestatic

Definition at line 324 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsvect | ( | double[] | ArrayNull,
|  | double[] | ArrayCkNull,
|  | boolean | deffalse
| ) |  |
| inlinestatic

Definition at line 588 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsvpa | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax
| ) |  |
| inlinestatic

Definition at line 592 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsxax | ( | int | digmax,
|  | int | digits
| ) |  |
| inlinestatic

Definition at line 596 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsyax | ( | int | digmax,
|  | int | digits
| ) |  |
| inlinestatic

Definition at line 600 of file plplotjavac.java.

static void plplot.core.plplotjavac.plsym | ( | double[] | n,
|  | double[] | ArrayCk,
|  | int | code
| ) |  |
| inlinestatic

Definition at line 604 of file plplotjavac.java.

static void plplot.core.plplotjavac.plszax | ( | int | digmax,
|  | int | digits
| ) |  |
| inlinestatic

Definition at line 608 of file plplotjavac.java.

static void plplot.core.plplotjavac.pltext | ( |  | ) |
| inlinestatic

Definition at line 612 of file plplotjavac.java.

static void plplot.core.plplotjavac.pltimefmt | ( | String | fmt | ) |
| inlinestatic

Definition at line 616 of file plplotjavac.java.

static void plplot.core.plplotjavac.plvasp | ( | double | aspect | ) |
| inlinestatic

Definition at line 620 of file plplotjavac.java.

static void plplot.core.plplotjavac.plvect | ( | double | Matrix[][],
|  | double | MatrixCk[][],
|  | double | scale,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inlinestatic

Definition at line 624 of file plplotjavac.java.

static void plplot.core.plplotjavac.plvpas | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | aspect
| ) |  |
| inlinestatic

Definition at line 628 of file plplotjavac.java.

static void plplot.core.plplotjavac.plvpor | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax
| ) |  |
| inlinestatic

Definition at line 632 of file plplotjavac.java.

static void plplot.core.plplotjavac.plvsta | ( |  | ) |
| inlinestatic

Definition at line 636 of file plplotjavac.java.

static void plplot.core.plplotjavac.plw3d | ( | double | basex,
|  | double | basey,
|  | double | height,
|  | double | xmin0,
|  | double | xmax0,
|  | double | ymin0,
|  | double | ymax0,
|  | double | zmin0,
|  | double | zmax0,
|  | double | alt,
|  | double | az
| ) |  |
| inlinestatic

Definition at line 640 of file plplotjavac.java.

static void plplot.core.plplotjavac.plwidth | ( | int | width | ) |
| inlinestatic

Definition at line 644 of file plplotjavac.java.

static void plplot.core.plplotjavac.plwind | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax
| ) |  |
| inlinestatic

Definition at line 648 of file plplotjavac.java.

static void plplot.core.plplotjavac.plxormod | ( | boolean | mode,
|  | boolean[] | OUTPUT
| ) |  |
| inlinestatic

Definition at line 652 of file plplotjavac.java.

The documentation for this class was generated from the following file:

- plplotjavac.java